import java.util.ArrayList;

public class VotingSystem {
	//ArrayList of voting
	private ArrayList<Voting> votingList ;
	/**
	 * Create a new VotingSystem
	 */
	public VotingSystem() {
		votingList = new ArrayList<Voting>() ;
	}
	/**
	 * Create a voting with given question and type and options
	 * @param question question of voting
	 * @param type type of voting
	 * @param options choices of this voting
	 */
	public void createVoting(String question , int type , ArrayList<String> options ) {
		Voting voting = new Voting(type, question) ;
		for(String option : options) {
			voting.createChoice(option);
		}
		votingList.add(voting) ;
	}
	/**
	 * vote on a question
	 * @param votingNumber number of voting
	 * @param person person who voted
	 * @param personChoices choices of person
	 */
	public void vote(int votingNumber , Person person , ArrayList<String> personChoices) {
		votingList.get(votingNumber).createVote(person, personChoices);
	}
	/**
	 * print a voting by given votingNumber index
	 * @param votingNumber index of votingList
	 */
	public void printVoting(int votingNumber){
		String question = votingList.get(votingNumber).getQuestion() ;
		System.out.println("Question is : " + question  );
		votingList.get(votingNumber).getChoices() ;
	}
	/**
	 * print a questions of votingSystem
	 */
	public void printVotingQuestions(){
		if(votingList.size() == 0) {
			System.out.println("VotingList is empty! ");
			;
		}
		else {
			System.out.println("List Of Voting Questions : ");
			int i = 1 ;
			for(Voting voting : votingList) {
				String question = voting.getQuestion() ;
				System.out.println("   Question"+ i++ + ": "+ question);
			}
		}
		System.out.println();
	}
	/**
	 * print result of voting with given votingNumber index
	 * @param votingNumber index of votingList
	 */
	public void printResult(int votingNumber) {
		votingList.get(votingNumber).printVotes();
	}
}
